
Redmine - Feature #16748

Store the status name in the issue history

2014-04-24 17:41 - @ go2null

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently, journal_details table only stores the id of the standard issue fields in old_value and value.

This leads to the Issue History displaying the current value of the id, and if that id is deleted, the id itself.

For example:

I change the Status from New to Accepted.

Issue History indicates: Status changed from New to Accepted.

The Admin then change the name of the status to Just-Before-Accepted.

Issue History indicates: Status changed from New to Just-Before-Accepted.

Some time later, issue is closed and this status is deleted.

Issue History indicates: Status changed from New to 2.

Displaying of the current name, or id, breaks the audit trail and the context under which the original action was taken.

One way of addressing this is to add old_id and new_id fields to capture the field relations (which if useful for linking, etc) and use the

old_value and value fields for displaying.

History

#1 - 2014-05-02 09:10 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Issue History does not store value of standard fields. to Store the status name in the issue history

#2 - 2014-06-17 18:35 - @ go2null

Note that this affects all standard list/enumeration fields, not just Status.

I've confirmed the behaviour (value changes to current value, or to id when deleted)

Assignee (deleted Group => id, deleted User => Anonymous),

Category,

Priority,

Target version.

(I have only checked Issue fields, not Document, etc.)
